## gnat-4.8 4.8.2-1

=== debian/changelog ===
gnat-4.8 (4.8.2-1) unstable; urgency=low

  * debian/rules.conf: when building gnat-4.8, add a Built-Using field to
    debian/control.
  * debian/rules.defs: do not build auxiliary packages, like libgomp or
    libssp, when not also building C development packages.
  * debian/control.m4, debian/control: tighten build-conflicts on versions
    of binutils-gold not provided by newer binutils.
  * debian/patches/ada-default-project-path.diff: refresh.
  * debian/patches/ada-libgnatprj.diff: add errors.o, filename_cmp.o and
    targetm.o (a new file, inspired by default-common.c) to
    libgnatprj.{a,so}; they contain symbols needed by prefix.o.
  * debian/patches/ada-sjlj.diff: refresh accordingly.
  * debian/rules.conf: ensure only one Built-Using line is present in
    substvars.local and use gcc-4.8-source 4.8.1-8.

  Merge from gcc-4.8 (4.8.2-1) unstable; urgency=low

  * GCC 4.8.2 release.

  * Update to SVN 20131017 (r203751) from the gcc-4_8-branch.
  * Update the Linaro support to the 4.8-2013.10 release.
  * Fix PR c++/57850, option -fdump-translation-unit not working.
  * Don't run the testsuite on aarch64.
  * Fix PR target/58578, wrong-code regression on ARM. LP: #1232017.
  * [ARM] Fix bug in add patterns due to commutativity modifier,
    backport from trunk. LP: #1234060.
  * Build libatomic on AArch64.
  * Fix dependency generation for the cross gcc-4.8 package.
  * Make the libstdc++ pretty printers compatible with Python3, if
    gdb is built with Python3 support.
  * Fix loading of libstdc++ pretty printers. Fixes: #701935.
  * Don't let gcc-snapshot build-depend on gnat on AArch64.

  Merge from gcc-4.8 (4.8.1-10) unstable; urgency=low

  * Update to SVN 20130904 (r202243) from the gcc-4_8-branch.

  [ Matthias Klose ]
  * Don't rely on the most recent Debian release name for configuration
    of the package. Addresses: #720263. Fixes: #711824.
  * Fix a cross build issue without DEB_* env vars set (Eleanor Chen).
    Fixes: #718614.
  * Add packaging support for mips64(el) and mipsn32(el) including multilib
    configurations (YunQiang Su). Addresses: #708143.
  * Fix gcc dependencies for stage1 builds (YunQiang Su). Fixes: #710240.
  * Fix boehm-gc test failures with a linker defaulting to
    --no-copy-dt-needed-entries.
  * Fix libstdc++ and libjava test failures with a linker defaulting
    to --as-needed.
  * Mark the libjava/sourcelocation test as expected to fail on amd64 cpus.
  * Fix some gcc and g++ test failures for a compiler with hardening
    defaults enabled.
  * Fix gcc-default-format-security.diff for GCC 4.8.
  * Run the testsuite again on armel and armhf.
  * Disable running the testsuite on mips.  Fails on the buildds, preventing
    migration to testing for three months. No feedback from the mips porters.

  [ Thorsten Glaser ]
  * Merge several old m68k-specific patches from gcc-4.6 package:
    - libffi-m68k: Rebased against gcc-4.8 and libffi 3.0.13-4.
    - m68k-revert-pr45144: Needed for Ada.
    - pr52714: Revert optimisation that breaks CC0 arch.
  * Fix PR49847 (Mikael Pettersson). Fixes: #711558.
  * Use -fno-auto-inc-dec for PR52306 (Mikael Pettersson).

  Merge from gcc-4.8 (4.8.1-9) unstable; urgency=low

  * Update to SVN 20130815 (r201764) from the gcc-4_8-branch.
  * Enable gomp on AArch64.
  * Update the Linaro support to the 4.8-2013.08 release.

  Merge from gcc-4.8 (4.8.1-8) unstable; urgency=low

  * Fix PR rtl-optimization/57878, taken from the 4.8 branch.
  * Fix PR target/57909 (ARM), Linaro only.

  Merge from gcc-4.8 (4.8.1-7) unstable; urgency=low

  * Update to SVN 20130717 (r200995) from the gcc-4_8-branch.
    - Go 1.1.1 updates.
  * Define CPP_SPEC for aarch64.
  * Don't include <limits.h> in libgcc/libgcc2.c, taken from the trunk.
    Fixes: #696267.
  * boehm-gc: use mmap instead of brk also on kfreebsd-* (Petr Salinger).
    Fixes: #717024.

  Merge from gcc-4.8 (4.8.1-6) unstable; urgency=low

  * Update to SVN 20130709 (r200810) from the gcc-4_8-branch.

  [ Aurelien Jarno ]
  * Add 32-bit biarch packages on sparc64.

  [ Matthias Klose ]
  * Fix multiarch include path for aarch64.
  * Update the Linaro support to the 4.8-2013.07 release.
  * Revert the proposed fix for PR target/57637 (ARM only).
  * Let gfortran-4.8 provide gfortran-mod-10. Addresses #714730.

  [ Iain Buclaw ]
  * Avoid compiler warnings redefining D builtin macros.

  Merge from gcc-4.8 (4.8.1-5) unstable; urgency=low

  * Update to SVN 20130629 (r200565) from the gcc-4_8-branch.

  [ Aurelien Jarno ]
  * Don't pass --with-mips-plt on mips/mipsel.

  [ Matthias Klose ]
  * Fix documentation builds with texinfo-5.1.
  * Update the ARM libsanitizer backport from the 4.8 Linaro branch.
  * libphobos-4.8-dev provides libphobos-dev (Peter de Wachter).
  * The gdc cross compiler doesn't depend on libphobos-4.8-dev.
  * Work around libgo build failure on ia64. PR 57689. #714090.
  * Apply proposed fix for PR target/57637 (ARM only).

  Merge from gcc-4.8 (4.8.1-4) unstable; urgency=low

  * Update to SVN 20130619 (r200219) from the gcc-4_8-branch.
    - Bump the libgo soname (change in type layout for functions that take
      function arguments).
    - Fix finding the liblto_plugin.so without x permissions set (see
      PR driver/57651). Fixes: #712704.
  * Update maintainer list.
  * Fall back to the binutils version of the binutils build dependency
    if the binutils version used for the build cannot be determined.
  * For ARM multilib builds, use libsf/libhf system directories to lookup
    files for the non-default multilib (for now, only for the cross compilers).
  * Split out a gcj-4.8 package, allow to build a gcj cross compiler.
  * Allow to cross build gcj.
  * Don't include object.di in the D cross compiler, but depend on gdc instead.
  * Allow to cross build gdc.
  * Pass --hash-style=gnu instead of --hash-style=both to the linker.

  Merge from gcc-4.8 (4.8.1-3) unstable; urgency=low


