=== debian/control ===
Source: gnat-4.8
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Ludovic Brenta <lbrenta@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 5.0.62), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mipsel mipsn32 mipsn32el powerpc ppc64 s390 s390x sparc sparc64 x32], 
  libc6.1-dev (>= 2.13-5) [alpha ia64] | libc0.3-dev (>= 2.13-5) [hurd-i386] | libc0.1-dev (>= 2.13-5) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-5), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el s390x sparc64 x32], libn32gcc1 [mips mipsel mips64 mips64el], lib64gcc1 [i386 mips mipsel mipsn32 mipsn32el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el], libc6-dev-x32 [amd64 i386], libx32gcc1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], 
  m4, libtool, autoconf2.64, 
  libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], 
  zlib1g-dev, gawk, lzma, xz-utils, patchutils, 
  binutils (>= 2.23.52) | binutils-multiarch (>= 2.23.52), binutils-hppa64 (>= 2.23.52) [hppa], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  texinfo (>= 4.3), locales, sharutils, 
  procps, gnat (>= 4.1), gcc-4.8-source (>= 4.8.2), gcc-4.8-source (<< 4.8.3), 
  libcloog-isl-dev (>= 0.18), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), 
  dejagnu [!arm64 !m68k !hurd-amd64 !hurd-i386 !hurd-alpha], realpath (>= 1.9.12), chrpath, lsb-release, quilt
Build-Depends-Indep:  
Homepage: http://gcc.gnu.org/
XS-Vcs-Browser: http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-4.8/
XS-Vcs-Svn: svn://svn.debian.org/svn/gcccvs/branches/sid/gcc-4.8

Package: gnat-4.8-base
Architecture: any
Section: libs
Priority: optional
Depends: ${misc:Depends}
Breaks: gcc-4.6 (<< 4.6.1-8~)
Built-Using: ${Built-Using}
Description: GNU Ada compiler (common files)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 This package contains files common to all GNAT related packages.

Package: gnat-4.8
Architecture: any
Priority: optional
Pre-Depends: multiarch-support
Depends: gnat-4.8-base (= ${gnat:Version}), gcc-4.8 (>= ${gcc:SoftVersion}), ${dep:libgnat}, ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat-4.8-doc, ada-reference-manual-html, ada-reference-manual-info, ada-reference-manual-pdf, ada-reference-manual-text, gnat-4.8-sjlj
Conflicts: gnat (<< 4.1), gnat-3.1, gnat-3.2, gnat-3.3, gnat-3.4, gnat-3.5, gnat-4.0, gnat-4.1, gnat-4.2, gnat-4.3, gnat-4.4, gnat-4.6
Built-Using: ${Built-Using}
Description: GNU Ada compiler
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 This package provides the compiler, tools and runtime library that handles
 exceptions using the default zero-cost mechanism.

Package: gnat-4.8-sjlj
Architecture: any
Priority: extra
Pre-Depends: multiarch-support
Depends: gnat-4.8-base (= ${gnat:Version}), gnat-4.8 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: GNU Ada compiler (setjump/longjump runtime library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 This package provides an alternative runtime library that handles
 exceptions using the setjump/longjump mechanism (as a static library
 only).  You can install it to supplement the normal compiler.

Package: libgnat-4.8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Depends: gnat-4.8-base (= ${gnat:Version}), ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${Built-Using}
Description: runtime for applications compiled with GNAT (shared library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnat library provides runtime components needed by most
 applications produced with GNAT.
 .
 This package contains the runtime shared library.

Package: libgnat-4.8-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Depends: gnat-4.8-base (= ${gnat:Version}), libgnat-4.8 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: runtime for applications compiled with GNAT (debugging symbols)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnat library provides runtime components needed by most
 applications produced with GNAT.
 .
 This package contains the debugging symbols.

Package: libgnatvsn4.8-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: gnat-4.8-base (= ${gnat:Version}), gnat-4.8 (= ${gnat:Version}),
 libgnatvsn4.8 (= ${gnat:Version}), ${misc:Depends}
Conflicts: libgnatvsn-dev (<< 4.8), libgnatvsn4.1-dev, libgnatvsn4.3-dev, libgnatvsn4.4-dev, libgnatvsn4.5-dev, libgnatvsn4.6-dev
Built-Using: ${Built-Using}
Description: GNU Ada compiler selected components (development files)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnatvsn library exports selected GNAT components for use in other
 packages, most notably ASIS tools. It is licensed under the GNAT-Modified
 GPL, allowing to link proprietary programs with it.
 .
 This package contains the development files and static library.

Package: libgnatvsn4.8
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Section: libs
Depends: gnat-4.8-base (= ${gnat:Version}), libgnat-4.8 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: GNU Ada compiler selected components (shared library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnatvsn library exports selected GNAT components for use in other
 packages, most notably ASIS tools. It is licensed under the GNAT-Modified
 GPL, allowing to link proprietary programs with it.
 .
 This package contains the runtime shared library.

Package: libgnatvsn4.8-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Section: debug
Depends: gnat-4.8-base (= ${gnat:Version}), libgnatvsn4.8 (= ${gnat:Version}), ${misc:Depends}
Suggests: gnat
Built-Using: ${Built-Using}
Description: GNU Ada compiler selected components (debugging symbols)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 The libgnatvsn library exports selected GNAT components for use in other
 packages, most notably ASIS tools. It is licensed under the GNAT-Modified
 GPL, allowing to link proprietary programs with it.
 .
 This package contains the debugging symbols.

Package: libgnatprj4.8-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: gnat-4.8-base (= ${gnat:Version}), gnat-4.8 (= ${gnat:Version}),
 libgnatprj4.8 (= ${gnat:Version}), libgnatvsn4.8-dev (= ${gnat:Version}), ${misc:Depends}
Conflicts: libgnatprj-dev (<< 4.8), libgnatprj4.1-dev, libgnatprj4.3-dev, libgnatprj4.4-dev, libgnatprj4.5-dev, libgnatprj4.6-dev
Built-Using: ${Built-Using}
Description: GNU Ada compiler Project Manager (development files)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 GNAT uses project files to organise source and object files in large-scale
 development efforts. The libgnatprj library exports GNAT project files
 management for use in other packages, most notably ASIS tools (package
 asis-programs) and GNAT Programming Studio (package gnat-gps). It is
 licensed under the pure GPL; all programs that use it must also be
 distributed under the GPL, or not distributed at all.
 .
 This package contains the development files and static library.

Package: libgnatprj4.8
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: optional
Section: libs
Depends: gnat-4.8-base (= ${gnat:Version}), libgnat-4.8 (= ${gnat:Version}), libgnatvsn4.8 (= ${gnat:Version}), ${misc:Depends}
Built-Using: ${Built-Using}
Description: GNU Ada compiler Project Manager (shared library)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 GNAT uses project files to organise source and object files in large-scale
 development efforts. The libgnatprj library exports GNAT project files
 management for use in other packages, most notably ASIS tools (package
 asis-programs) and GNAT Programming Studio (package gnat-gps). It is
 licensed under the pure GPL; all programs that use it must also be
 distributed under the GPL, or not distributed at all.
 .
 This package contains the runtime shared library.

Package: libgnatprj4.8-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Priority: extra
Section: debug
Depends: gnat-4.8-base (= ${gnat:Version}), libgnatprj4.8 (= ${gnat:Version}), ${misc:Depends}
Suggests: gnat
Built-Using: ${Built-Using}
Description: GNU Ada compiler Project Manager (debugging symbols)
 GNAT is a compiler for the Ada programming language. It produces optimized
 code on platforms supported by the GNU Compiler Collection (GCC).
 .
 GNAT uses project files to organise source and object files in large-scale
 development efforts. The libgnatprj library exports GNAT project files
 management for use in other packages, most notably ASIS tools (package
 asis-programs) and GNAT Programming Studio (package gnat-gps). It is
 licensed under the pure GPL; all programs that use it must also be
 distributed under the GPL, or not distributed at all.
 .
 This package contains the debugging symbols.
