## gnat-4.8 4.8.2-2

=== debian/changelog ===
gnat-4.8 (4.8.2-2) unstable; urgency=low
  
  Fix FTBFS on kfreebsd-i386 and kfreebsd-amd64:

  * debian/patches/{ada-kfreebsd-gnu.diff,ada-bug564232.diff}: merge into
    debian/patches/ada-kfreebsd.diff which is applied unconditionally.
    Refresh.
  * debian/rules.patch: remove ada-kfreebsd-gnu.diff, ada-bug564232.diff.
  * debian/patches/ada-kfreebsd.diff (s-osinte-kfreebsd-gnu.ads):
    - propagate the definition of pthread_rwlock_t and pthread_rwlockattr_t
      from s-osinte-freebsd.ads.
    - propagate the change of type clockid_t from private to new int;
      values are now generated from the system's C header files during
      build (from s-osinte-freebsd.ads).
    - propagate the definition of function lwp_self from
      s-osinte-freebsd.ads.
    (s-oscons-tmplt.c): new hunk, use the monotonic clock instead of the
    default real-time clock on GNU/kFreeBSD as well as on FreeBSD.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 31 Oct 2013 22:26:39 +0100
  
