## gnat-4.8 4.8.2-3

=== debian/changelog ===
gnat-4.8 (4.8.2-3) unstable; urgency=low

  Fix FTBFS on powerpc, s390x and sparc, where the default C++ compiler is
  still g++-4.6:
  
  * debian/rules.defs: add explicit build-dependency on g++-4.8 and
    libstdc++-4.8.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri,  1 Nov 2013 16:29:15 +0100
