## gnat-4.8 4.8.2-5ubuntu1

=== debian/changelog ===
gnat-4.8 (4.8.2-5ubuntu1) trusty; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Dec 2013 18:16:12 +0100

gnat-4.8 (4.8.2-5) unstable; urgency=low

  [Hiroyuki Yamamoto]
  * debian/patches/ada-ppc64.diff: new; fix 32/64 bit detection, broken
    due to the fact Debian installs 64-bit libraries in lib and not
    lib64. Fix based on the s390/s390x detection.  Closes: #731807.

  [Ludovic Brenta]
  * debian/patches/ada-link-lib.diff,
    debian/patches/ada-libgnatvsn.diff: refresh.

  Merge from gcc-4.8 (4.8.2-10) unstable; urgency=low

  * Update to SVN 20131213 (r205948) from the gcc-4_8-branch.
  * Add missing commit in libjava for gcc-linaro.

  Merge from gcc-4.8 (4.8.2-9) unstable; urgency=low

  * Update to SVN 20131212 (r205924) from the gcc-4_8-branch.

  [ Matthias Klose ]
  * Fix libitm symbols files for ppc64.
  * Update libatomic symbol file for arm64 and ppc64.
  * libgcj-dev: Drop dependencies on gcj-jre-lib and gcj-jdk.
  * Fix permissions of some override files.
  * Let cross compilers conflict with gcc-multilib (providing
    /usr/include/asm for the non-default multilib).
  * Configure --with-long-double-128 on powerpcspe (Roland Stigge).
    Fixes: #731941.
  * Update the Linaro support to the 4.8-2013.12 release.
  * Update the ibm branch to 20131212.

  [ Aurelien Jarno ]
  * patches/note-gnu-stack.diff: restore and rebase lost parts.

  Merge from gcc-4.8 (4.8.2-8) unstable; urgency=medium

  * Update to SVN 20131203 (r205647) from the gcc-4_8-branch.
  * Fix PR libgcc/57363, taken from the trunk.

  Merge from gcc-4.8 (4.8.2-7) unstable; urgency=low

  * Update to SVN 20131129 (r205535) from the gcc-4_8-branch.
  * Introduce aarch64 goarch.
  * libgo: Backport fix for calling a function or method that takes or returns
    an empty struct via reflection.
  * go frontend: Backport fix for the generated hash functions of types that
    are aliases for structures containing unexported fields.
  * Skip Go testcase on AArch64 which hangs on the buildds.
  * Fix freetype includes in libjava/classpath.

  Merge from gcc-4.8 (4.8.2-6) unstable; urgency=low

  * Update to SVN 20131128 (r205478) from the gcc-4_8-branch.

  [ Matthias Klose ]
  * gcc-4.8-base: Breaks gcc-4.4-base (<< 4.4.7). Fixes: #729963.
  * Update the gcc-as-needed patch for mips*. Fixes: #722067.
  * Use dpkg-vendor information for distribution specific settings.
    Fixes: #697805.
  * Check for the sys/auxv.h header file.
  * On AArch64, make the frame grow downwards, taken from the trunk.
    Enable ssp on AArch64.
  * Pass -fuse-ld=gold to gccgo on targets supporting split-stack.

  [ Aurelien Jarno ]
  * Update README.Debian for s390 and s390x.

  [ Thorsten Glaser ]
  * m68k-ada.diff: Add gcc-4.8.0-m68k-ada-pr48835-2.patch and
    gcc-4.8.0-m68k-ada-pr51483.patch by Mikael Pettersson, to
    fix more CC0-specific and m68k/Ada-specific problems.
  * m68k-picflag.diff: New, backport from trunk, by Andreas Schwab,
    to avoid relocation errors when linking big shared objects.
  * pr58369.diff: New, backport from trunk, by Jeffrey A. Law,
    to fix ICE while building boost 1.54 on m68k.
  * pr52306.diff: Disables -fauto-inc-dec by default on m68k to
    work around ICE when building C++ code (e.g. Qt-related).

  Merge from gcc-4.8 (4.8.2-5) unstable; urgency=low

  * Update to SVN 20131115 (r204839) from the gcc-4_8-branch.
  * Update the Linaro support to the 4.8-2013.11 release.
  * Add missing replaces in libgcj14. Fixes: #729022.

  Merge from gcc-4.8 (4.8.2-4) unstable; urgency=low

  * Really fix disabling the gdc tests.

  Merge from gcc-4.8 (4.8.2-3) unstable; urgency=low

  * Update to SVN 20131112 (r204704) from the gcc-4_8-branch.
  * Don't ship java.security in both libgcj14 and gcj-4.8-headless.
    Fixes: #729022.
  * Disable gdc tests on architectures without libphobos port.

  Merge from gcc-4.8 (4.8.2-2) unstable; urgency=low

  * Update to SVN 20131107 (r204496) from the gcc-4_8-branch.
  * Build ObjC, Obj-C++ and Go for AArch64.
  * Fix some gcj symlinks. Fixes: #726792, #728403.
  * Stop building libmudflap (removed in GCC 4.9).

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 14 Dec 2013 18:58:03 +0100

gnat-4.8 (4.8.2-4) unstable; urgency=low

  * Regenerate debian/control.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri,  1 Nov 2013 20:44:36 +0100
