## gnat-4.8 4.8.2-8ubuntu3

=== debian/changelog ===
gnat-4.8 (4.8.2-8ubuntu3) trusty; urgency=medium

  * Fix build on powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 16:18:59 +0200

gnat-4.8 (4.8.2-8ubuntu2) trusty; urgency=medium

  * Merge from gcc-4.8 (4.8.2-19).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Apr 2014 11:47:27 +0200

gnat-4.8 (4.8.2-8ubuntu1) trusty; urgency=medium

  * Merge from gcc-4.8 (4.8.2-16, -17, -18).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Apr 2014 10:05:54 +0200

gnat-4.8 (4.8.2-8) unstable; urgency=low

  [Svante Signell]
  * debian/patches/ada-hurd.diff: split a line that was too long in two.
    Closes: #732681.

  Merge from gcc-4.8 (4.8.2-15) unstable; urgency=medium

  * Update to SVN 20140209 (r207641) from the gcc-4_8-branch.
    - Fix inconsistent install paths between gccgo and go tool. LP: #1271340.
  * Update the ibm branch to SVN 20140207 (r207580).
  * armhf: Fix ffi_call_VFP with no VFP arguments (Will Newton).
  * Apply proposed patch for PR target/59799, allow passing arrays in
    registers on AArch64 (Michael Hudson).
  * gcc-4.8-base: Update gcc-4.7-base breaks for updates from wheezy.
    Fixes: #736607.

  Merge from gcc-4.8 (4.8.2-14) unstable; urgency=medium

  * Update to SVN 20140115 (r206629) from the gcc-4_8-branch.
  * Fix call frame information in ffi_closure_SYSV on AArch64.
  * Update powerpcspe patches (Roland Stigge). Fixes: #735316.

  Merge from gcc-4.8 (4.8.2-13) unstable; urgency=medium

  * Update to SVN 20140112 (r206564) from the gcc-4_8-branch.
    - Fix miscompilation due to wrong RTL-optimization (see
      PR rtl-optimization/59137). Fixes: #716635.

  [ Aurelien Jarno ]
  * Reenable the testsuite on mips.

  [ Matthias Klose ]
  * Add libgcc, libstdc++, libgfortran symbols files for ppc64el.
  * Update libitm symbols for non-default multilibs.
  * Add libgcc, libstdc++, libgfortran symbols files for arm64.
  * Fix PR target/59588 (AArch64), backport proposed patch. LP: #1263576.
  * Fix PR target/59744 (AArch64), taken from the trunk. LP: #1267761.

  Merge from gcc-4.8 (4.8.2-12) unstable; urgency=medium

  * Update to SVN 20140106 (r206351) from the gcc-4_8-branch.
  * Only apply m68k specific backports when targeting m68k.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 12 Feb 2014 00:40:45 +0100

gnat-4.8 (4.8.2-7) unstable; urgency=low

  * debian/patches/gcc_ada_gcc-interface_Makefile.in.diff: rename to...
  * debian/patches/ada-hurd.diff: ... this; add a hunk to create
    s-osinte-gnu.ads.  Closes: #732681.
  * debian/rules.patch: apply ada-hurd.diff on all architectures, to help
    detect bugs.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  3 Feb 2014 22:14:02 +0100

gnat-4.8 (4.8.2-6) unstable; urgency=low

  [Svante Signell]
  * debian/patches/ada-s-osinte-gnu.adb.diff: remove.
  * debian/patches/ada-s-taprop-gnu.adb.diff: remove.
  * debian/patches/ada-kfreebsd.diff: add support for GNU/Hurd.
  * debian/patches/gcc_ada_gcc-interface_Makefile.in.diff: update.
  * Closes: #732681.

  Merge from gcc-4.8 (4.8.2-11) unstable; urgency=low

  * Update to SVN 20131230 (r206241) from the gcc-4_8-branch.
  * Don't build x32 multilibs for wheezy backports.
  * Set the goarch to arm64 for aarch64-linux-gnu.
  * Fix statically linked gccgo binaries on AArch64 (Michael Hudson).
    LP: #1261604.
  * Update gnat build dependencies when not built from a separate source.
  * Default to -mieee on alpha again (Michael Cree). Fixes: #733291.
  * Prepare gnat package for cross builds.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  2 Feb 2014 17:18:32 +0100
