=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Ludovic Brenta <lbrenta@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 5.0.62), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mipsel mipsn32 mipsn32el powerpc ppc64 s390 s390x sparc sparc64 x32], 
   libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el s390x sparc64 x32], libn32gcc1 [mips mipsel mips64 mips64el], lib64gcc1 [i386 mips mipsel mipsn32 mipsn32el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el], libc6-dev-x32 [amd64 i386], libx32gcc1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc1 [armel], libc6-dev-armel [armhf], libsfgcc1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], 
@@ -14,7 +14,7 @@
   binutils (>= 2.22) | binutils-multiarch (>= 2.22), binutils-hppa64 (>= 2.22) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   texinfo (>= 4.3), locales, sharutils, 
-  procps, gnat (>= 4.1), g++-4.8, libstdc++-4.8-dev, gcc-4.8-source (>= 4.8.2), gcc-4.8-source (<< 4.8.3), gcc-4.6-multilib [armel armhf], 
+  procps, gnat (>= 4.1), g++-4.8, libstdc++-4.8-dev, gcc-4.8-source (>= 4.8.2), gcc-4.8-source (<< 4.8.3), 
   libcloog-isl-dev (>= 0.18), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), 
   dejagnu [!m68k !hurd-amd64 !hurd-i386 !hurd-alpha], realpath (>= 1.9.12), chrpath, lsb-release, quilt
 Build-Depends-Indep:  
@@ -158,7 +158,8 @@
 Architecture: any
 Priority: extra
 Depends: gnat-4.8-base (= ${gnat:Version}), gnat-4.8 (= ${gnat:Version}),
- libgnatprj4.8 (= ${gnat:Version}), libgnatvsn4.8-dev (= ${gnat:Version}), ${misc:Depends}
+ libgnatprj4.8 (= ${gnat:Version}),
+ libgnatvsn4.8-dev (= ${gnat:Version}), ${misc:Depends}
 Conflicts: libgnatprj-dev (<< 4.8), libgnatprj4.1-dev, libgnatprj4.3-dev, libgnatprj4.4-dev, libgnatprj4.5-dev, libgnatprj4.6-dev
 Built-Using: ${Built-Using}
 Description: GNU Ada compiler Project Manager (development files)
