=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(4\.8[\d\.]*)	debian	uupdate
